Upstream information

CVE-2010-1450 at MITRE

Description

Multiple buffer overflows in the RLE decoder in the rgbimg module in Python 2.5 allow remote attackers to have an unspecified impact via an image file containing crafted data that triggers improper processing within the (1) longimagedata or (2) expandrow function.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entries: 603255 [RESOLVED / FIXED], 666027

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 10 SP3 for x86
  • python >= 2.4.2-18.32.5
  • python-curses >= 2.4.2-18.32.5
  • python-devel >= 2.4.2-18.32.5
  • python-gdbm >= 2.4.2-18.32.5
  • python-tk >= 2.4.2-18.32.5
  • python-xml >= 2.4.2-18.32.5
sle10-sp3-sdk.s390x
sles10-sp3.ia64
sled10-sp3.x86
sle10-sp3-sdk.ia64
sled10-sp3.x86-64
sles10-sp3.x86
sle10-sp3-sdk.x86-64
sle10-sp3-sdk.x86
sle10-sp3-sdk.ppc
sles10-sp3.x86-64
sles10-sp3.s390x
sles10-sp3.ppc
ZYPP Patch Nr: 7314
SUSE Linux Enterprise Desktop 10 SP3 for AMD64 and Intel EM64T
  • python >= 2.4.2-18.32.5
  • python-32bit >= 2.4.2-18.32.5
  • python-curses >= 2.4.2-18.32.5
  • python-devel >= 2.4.2-18.32.5
  • python-gdbm >= 2.4.2-18.32.5
  • python-tk >= 2.4.2-18.32.5
  • python-xml >= 2.4.2-18.32.5
sle10-sp3-sdk.s390x
sles10-sp3.ia64
sled10-sp3.x86
sle10-sp3-sdk.ia64
sled10-sp3.x86-64
sles10-sp3.x86
sle10-sp3-sdk.x86-64
sle10-sp3-sdk.x86
sle10-sp3-sdk.ppc
sles10-sp3.x86-64
sles10-sp3.s390x
sles10-sp3.ppc
ZYPP Patch Nr: 7314
SUSE Linux Enterprise SDK 10 SP3
SUSE Linux Enterprise Server 10 SP3
SUSE Linux Enterprise Server for SAP 10 SP3
  • python >= 2.4.2-18.32.5
  • python-32bit >= 2.4.2-18.32.5
  • python-curses >= 2.4.2-18.32.5
  • python-demo >= 2.4.2-18.32.5
  • python-devel >= 2.4.2-18.32.5
  • python-gdbm >= 2.4.2-18.32.5
  • python-idle >= 2.4.2-18.32.5
  • python-tk >= 2.4.2-18.32.5
  • python-xml >= 2.4.2-18.32.5
sle10-sp3-sdk.s390x
sles10-sp3.ia64
sled10-sp3.x86
sle10-sp3-sdk.ia64
sled10-sp3.x86-64
sles10-sp3.x86
sle10-sp3-sdk.x86-64
sle10-sp3-sdk.x86
sle10-sp3-sdk.ppc
sles10-sp3.x86-64
sles10-sp3.s390x
sles10-sp3.ppc
ZYPP Patch Nr: 7314
SUSE Linux Enterprise SDK 10 SP3
  • python-demo >= 2.4.2-18.32.5
  • python-devel >= 2.4.2-18.32.5
  • python-idle >= 2.4.2-18.32.5
sle10-sp3-sdk.s390x
sles10-sp3.ia64
sled10-sp3.x86
sle10-sp3-sdk.ia64
sled10-sp3.x86-64
sles10-sp3.x86
sle10-sp3-sdk.x86-64
sle10-sp3-sdk.x86
sle10-sp3-sdk.ppc
sles10-sp3.x86-64
sles10-sp3.s390x
sles10-sp3.ppc
ZYPP Patch Nr: 7314
SUSE Linux Enterprise Server 10 SP3
  • python >= 2.4.2-18.32.5
  • python-curses >= 2.4.2-18.32.5
  • python-demo >= 2.4.2-18.32.5
  • python-devel >= 2.4.2-18.32.5
  • python-gdbm >= 2.4.2-18.32.5
  • python-idle >= 2.4.2-18.32.5
  • python-tk >= 2.4.2-18.32.5
  • python-xml >= 2.4.2-18.32.5
sle10-sp3-sdk.s390x
sles10-sp3.ia64
sled10-sp3.x86
sle10-sp3-sdk.ia64
sled10-sp3.x86-64
sles10-sp3.x86
sle10-sp3-sdk.x86-64
sle10-sp3-sdk.x86
sle10-sp3-sdk.ppc
sles10-sp3.x86-64
sles10-sp3.s390x
sles10-sp3.ppc
ZYPP Patch Nr: 7314
SUSE Linux Enterprise Server 10 SP3
  • python >= 2.4.2-18.32.5
  • python-curses >= 2.4.2-18.32.5
  • python-demo >= 2.4.2-18.32.5
  • python-devel >= 2.4.2-18.32.5
  • python-gdbm >= 2.4.2-18.32.5
  • python-idle >= 2.4.2-18.32.5
  • python-tk >= 2.4.2-18.32.5
  • python-x86 >= 2.4.2-18.32.5
  • python-xml >= 2.4.2-18.32.5
sle10-sp3-sdk.s390x
sles10-sp3.ia64
sled10-sp3.x86
sle10-sp3-sdk.ia64
sled10-sp3.x86-64
sles10-sp3.x86
sle10-sp3-sdk.x86-64
sle10-sp3-sdk.x86
sle10-sp3-sdk.ppc
sles10-sp3.x86-64
sles10-sp3.s390x
sles10-sp3.ppc
ZYPP Patch Nr: 7314
SUSE Linux Enterprise Server 10 SP3
  • python >= 2.4.2-18.32.5
  • python-64bit >= 2.4.2-18.32.5
  • python-curses >= 2.4.2-18.32.5
  • python-demo >= 2.4.2-18.32.5
  • python-devel >= 2.4.2-18.32.5
  • python-gdbm >= 2.4.2-18.32.5
  • python-idle >= 2.4.2-18.32.5
  • python-tk >= 2.4.2-18.32.5
  • python-xml >= 2.4.2-18.32.5
sle10-sp3-sdk.s390x
sles10-sp3.ia64
sled10-sp3.x86
sle10-sp3-sdk.ia64
sled10-sp3.x86-64
sles10-sp3.x86
sle10-sp3-sdk.x86-64
sle10-sp3-sdk.x86
sle10-sp3-sdk.ppc
sles10-sp3.x86-64
sles10-sp3.s390x
sles10-sp3.ppc
ZYPP Patch Nr: 7314


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 10 SP3 python Released
SUSE Linux Enterprise Desktop 11 GA python Released
SUSE Linux Enterprise Desktop 11 SP1 python Released
SUSE Linux Enterprise SDK 11 GA python Released
SUSE Linux Enterprise SDK 11 SP1 python Released
SUSE Linux Enterprise Server 10 SP3 python Released
SUSE Linux Enterprise Server 11 GA python Released
SUSE Linux Enterprise Server 11 SP1 python Released
SUSE Linux Enterprise Server 11 SP1 LTSS python Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 python Released